## iitalian 0.03

=== Makefile ===
#
# $Id: Makefile,v 1.5 1994/08/31 05:58:50 geoff Exp $
#
# Copyright 1993, Geoff Kuenning, Granada Hills, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#      This product includes software developed by Geoff Kuenning and
#      other unpaid contributors.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.5  1994/08/31  05:58:50  geoff
# Create directories before installing into them.
#
# Revision 1.4  1994/02/22  06:09:11  geoff
# Add SHELLDEBUG.
#
# Revision 1.3  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.2  1994/01/25  07:12:45  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
UNSQ		=	../../unsq
FIX8BIT		=	../fix8bit

#
# The following variables make it easy to adapt this Makefile to
# numerous languages.
#
LANGUAGE	=	italiano
DICTIONARY	=	$(LANGUAGE).sml
HASHFILE	=	$(LANGUAGE).hash

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	$(LANGUAGE).aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	$(HASHFILE)

install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  [ -d $$LIBDIR ]  ||  (mkdir $$LIBDIR; chmod 755 $$LIBDIR); \
	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
	@. $(CONFIG); \
	  set -x; \
	  cp $(LANGUAGE).aff $(HASHFILE) $$LIBDIR
	@. $(CONFIG); \
	  set -x; \
	  cd $$LIBDIR; \
	  chmod 644 $(LANGUAGE).aff $(HASHFILE)

$(HASHFILE):	$(BUILDHASH) $(AFFIXES) $(DICTIONARY)
	rm -f $(HASHFILE)
	$(BUILDHASH) $(DICTIONARY) $(AFFIXES) $(HASHFILE)

#$(AFFIXES):	$(LANGUAGE).7bit $(FIX8BIT)
#	$(FIX8BIT) -8 < $(LANGUAGE).7bit > $(AFFIXES)

#$(FIX8BIT):	../fix8bit.c
#	cd ..; $(MAKE) fix8bit

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

$(UNSQ):
	set +e; \
	set $(SHELLDEBUG); \
	if [ ! -x $(UNSQ) ]; \
	then \
	    set -e; \
	    cd ../..; \
	    $(MAKE) unsq; \
	else \
	    : ; \
	fi

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

## iitalian 2.3

=== Makefile ===
SHELL      = /bin/sh
MAKE       = make
BUILDHASH  = buildhash
MUNCHLIST  = munchlist
LANGUAGE   = italian
AFFIXES    = $(LANGUAGE).aff
DICTIONARY = $(LANGUAGE).words
HASHFILE   = $(LANGUAGE).hash
INSTALLDIR = /usr/lib/ispell

all: $(HASHFILE)

$(HASHFILE):	$(AFFIXES) $(LANGUAGE).words+
	rm -f $(HASHFILE)
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

$(LANGUAGE).words+: $(AFFIXES) $(DICTIONARY)
	$(MUNCHLIST) -v -l $(AFFIXES) $(DICTIONARY) > $(LANGUAGE).words+

build: $(AFFIXES) $(LANGUAGE).words+
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

clean:
	rm -f core $(HASHFILE) $(LANGUAGE).words+ $(LANGUAGE).words+.cnt \
		$(LANGUAGE).words+.stat

=== debian/changelog ===
iitalian (1:2.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.
    (closes: #1043189)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 11:40:27 +0200

iitalian (1:2.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965591)
  * debian/rules: Add build-{arch,indep}. (Closes: #999201)
  * Rebuild with new ispell. (Closes: #996361)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Nov 2022 23:53:01 +0200

iitalian (1:2.3-3) unstable; urgency=low

  [ Robert Luberda ]
  * Rebuild with new ispell.

  [ Norbert Preining ]
  * add misc:Depends dependency
  * remove post{inst,rm}.debhelper, it is auto generated
  * reword synopsis (lintian warning)
  * bump standards version to 3.9.2, no changes necessary

  [ Francesco Paolo Lovergine ]
  * Ready for unstable, thanks guys.
    (closes: #620182)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 May 2011 23:40:48 +0200

iitalian (1:2.3-2) unstable; urgency=low

  * Added a debconf-2.0 virtual dependency. Thanks Victor Seva.
    (closes: #331855)
  * Policy bumped to 3.7.2
  * Moved to debhelper compatibility level 5, changing a bit the pkg build-up.
    Added a compat file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  2 Nov 2006 14:47:00 +0100

iitalian (1:2.3-1) unstable; urgency=high

  * Policy bumped to 3.6.1
  * New upstream version. Using epoch to adopt the correct version numbering.
    (closes: #198899)
  * Updating to current dictionaries-common.
    (closes: #232156)
  * Changelog encoding changed to UTF-8.
  * Updated copyright file.
  * Short description cleaned.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Feb 2004 10:35:32 +0100

iitalian (2.20-2) unstable; urgency=low

  * New maintainer. (With permission of the previuos one).
  * Description now is in english.
  * Policy updated to 3.5.8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 20 Feb 2003 09:29:56 +0100

iitalian (2.20-1.4) unstable; urgency=low

  * Non-Maintainer Upload
  * New policy package made after the experimental package at 
    sourceforge (closes: #164249, #71904)
  * Last minute changes:
    - Added dictionaries-common dependency.
    - Added dictionaries-common-dev build-dependency
    - Readded 'Francesco Tapparo <cesco@debian.org>' as package 
      maintainer after the experimental versions with my name.
    - Removed comments about the experimental character of the 
      package
  * Capitalizing the word Italian (closes: #124753)

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue, 22 Oct 2002 18:16:35 +0200

iitalian (2.20-1.3) unstable; urgency=low

  * Added a Pspell-Ispell field to info-ispell file with contents 
    'it iso8859-1'. Since we use installdeb-ispell this will autogenerate 
    the appropiate pspell-ispell pwli files.

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue, 11 Jun 2002 17:08:54 +0200

iitalian (2.20-1.2) unstable; urgency=low

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Fri, 15 Feb 2002 13:50:35 +0100

iitalian (2.20-1.1) unstable; urgency=low

  * Test version after the policy proposal for dictionaries and wordlists.
  * Adapted control file to the policy proposal.
  * Removed postinst and prerm.
  * debian/rules: Changed rules to use installdeb-ispell.
  * Added debian/info-ispell file
  * Added dh_clean to the clean target

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue,  4 Dec 2001 13:47:13 +0100

iitalian (2.20-1) unstable; urgency=low

  * new upstream release
  * debian/rules was using the binary-indep target: this was wrong.
    (closes: Bug#94553)
  * updated the control file to reflect the new number of words present
    in the dictionary
  * named the upstream release as 2.20 instead of 2.2, because dpkg
    thinks 2.2 < 2.03

 -- Francesco Tapparo <cesco@debian.org>  Sat, 23 Jun 2001 21:16:28 +0200

iitalian (2.03-1) unstable; urgency=low

  * new maintainer: Francesco Tapparo cesco@debian.org
  * new upstream version: now based on the unified dictionary of Loris
    Palmerini (closes: bug#92119)
  * Architecture is any and not all, because the hash dictionary are
    subject to big/little endian differences (closes: bug#76372)
  * updated the package description to  reflect the new size of the
    dictionary
  * created a Build-Depends field with the entries ispell and debhelper
  * added the #DEBHELPER# token to postinst e prerm
  * now iitalian install the link /usr/share/doc/iitalian ->
    /usr/doc/iitalian as required by the policy
  * verified compliance to Policy 3.5.20

 -- Francesco Tapparo <cesco@debian.org>  Sun,  1 Apr 2001 14:11:40 +0200

iitalian (0.03-2) unstable; urgency=low

  * un-debstd-ized with debhelper.
  * recompiled to align with newer ispell (closes: #43350).
  * upgraded to Standards-Version 2.5.0.0
  * corrected ftp address of upstream site.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  1 Oct 1997 10:30:03 +0300

iitalian (0.03-1) unstable; urgency=low

  * new upstream release with 116.000 words and better affix table.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  1 Oct 1997 10:30:03 +0300

iitalian (0.02-1) unstable; urgency=low

  * Initial Release.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 16 Feb 1997 18:10:14 +0200

=== debian/control ===
Source: iitalian
Section: text
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.9.2
Build-Depends: ispell (>= 3.3.02), debhelper(>=5.0.0), dictionaries-common-dev (>=0.20)

Package: iitalian
Architecture: any
Depends: ispell (>= 3.3.02), debconf | debconf-2.0, dictionaries-common (>=0.20), ${misc:Depends}
Suggests: witalian
Provides: ispell-dictionary
Description: Italian dictionary for ispell
 This is an italian dictionary to be used with ispell.
 It contains more than 185,000 italian words.

=== debian/rules ===
#!/usr/bin/make -f
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=iitalian

build:
	dh_testdir
	buildhash italian.words italian.aff italian.hash
	touch build

clean:
	dh_testdir
	-rm -f build
	-rm -f italian.hash italian.stat
	-rm -f `find . -name "*~"`
	-rm -rf debian/iitalian debian/files* core debian/substvars
	dh_clean

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)	
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/ispell
	dh_install
	dh_installdocs AUTHORS CAMBI DA-FARE.txt FUSIONE.txt collab.txt palama.txt
	dh_installchangelogs CHANGES
	installdeb-ispell  # This calls internally dh_installdebconf
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really
binary:	binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: binary binary-arch binary-indep build-arch build-indep clean checkroot

## iitalian 2.20-1

=== debian/control ===
Source: iitalian
Section: text
Priority: optional
Maintainer: Francesco Tapparo <cesco@debian.org>
Standards-Version: 3.5.2.0
Build-Depends: ispell, debhelper

Package: iitalian
Architecture: any
Depends: ispell
Provides: ispell-dictionary
Description: The italian dictionary for ispell.
 Questo dizionario, da usarsi con il programma ispell,
 contiene oltre 185.000 parole italiane.

=== debian/rules ===
#!/usr/bin/make -f
#

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package=iitalian

build:
	dh_testdir
	buildhash italian.words italian.aff italian.hash
	touch build

clean:
	dh_testdir
	-rm -f build
	-rm -f italian.hash italian.words.cnt italian.words.stat
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)	
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/ispell
	#
	install -g root -m 644 -o root italian.aff \
	        debian/tmp/usr/lib/ispell/italian.aff
	install -g root -m 644 -o root italian.hash \
	        debian/tmp/usr/lib/ispell/italian.hash
	#
	dh_installdocs AUTHORS CAMBI DA-FARE.txt \
	               FUSIONE.txt collab.txt palama.txt
	dh_installchangelogs CHANGES
	dh_movefiles
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## iitalian 5.1.1

=== debian/changelog ===
iitalian (1:5.1.1-1) unstable; urgency=medium

  * QA upload.
  * Orphan package
    Closes: #1111279
  * Obtain new upstream source from Debian hunspell package
    Closes: #530240
  * Maintain package in Debian team on Salsa
  * Add Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * debian/rules: Convert to short dh
  * Lintian-overrides for national-encoding
  * Fix spelling in description
  * Add README.Debian

 -- Andreas Tille <tille@debian.org>  Tue, 19 Aug 2025 12:15:08 +0200

=== debian/control ===
Source: iitalian
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: text
Priority: optional
Build-Depends: ispell,
               debhelper-compat (= 13),
               dictionaries-common-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/iitalian
Vcs-Git: https://salsa.debian.org/debian/iitalian.git
Homepage: https://sourceforge.net/projects/linguistico/

Package: iitalian
Architecture: any
Depends: ispell,
         debconf | debconf-2.0,
         dictionaries-common,
         ${misc:Depends}
Suggests: witalian
Provides: ispell-dictionary
Description: Italian dictionary for ispell
 This is an Italian dictionary to be used with ispell.
 It contains more than 185,000 Italian words.

=== debian/rules ===
#!/usr/bin/make -f
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=iitalian

%:
	dh $@

override_dh_auto_build:
	buildhash italian.words italian.aff italian.hash

override_dh_auto_clean:
	-rm -f build
	-rm -f italian.hash italian.stat
	-rm -f `find . -name "*~"`

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.txt

override_dh_installdebconf:
	installdeb-ispell  # This calls internally dh_installdebconf

HUNSPELL=it_IT
LANGUAGE=italian

.ONESHELL:
get-orig-source:
	# Idea taken from https://anoncvs.postgresql.org/cvsweb.cgi/pgsql/contrib/tsearch2/my2ispell/Attic/Makefile?rev=1.1.4.1;content-type=text%2Fplain
	if ! which unmunch >/dev/null ; then
	    echo "You need to 'apt install hunspell-tools' to create the ispell database"
	    exit 1
	fi
	mkdir tmp
	cp -a debian/$(LANGUAGE).aff tmp
	cd tmp
	apt source libreoffice-dictionaries
	# This .aff file is too complex for ispell
	# cp -a libreoffice-dictionaries*/dictionaries/it_IT/it_IT.aff .
	cp -a libreoffice-dictionaries*/dictionaries/it_IT/it_IT.dic .
	cp -a libreoffice-dictionaries*/dictionaries/it_IT/CHANGELOG.txt .
	cp -a libreoffice-dictionaries*/dictionaries/it_IT/README_it_IT.txt .
	rm -rf libreoffice-dictionaries*
	grep -v -E '^[[:digit:]]+$$' $(HUNSPELL).dic \
	 | grep -v '\.' \
	 | sed -e 's/"//g' \
	 | perl -pi -e 's|/(\S+)| $$q=$$1; ( $$q=~/[\\_`]/ && $$q!~/z/ ) ? "/$${q}z" : "/$${q}"|e' \
	 | sort \
	> $(LANGUAGE).dict
	# This is too complex
	#grep -v -i zyzyzy $(HUNSPELL).aff \
	# | grep -v -i zyzyzy \
	# | perl -pi \
	#	-e 's/^COMPOUNDFLAG\s+(\S+)/compoundwords controlled $$1/;' \
	#        -e 's/^COMPOUNDMIN\s+(\d+)/compoundmin $$1/;' \
	#        -e 's/^PFX\s+(\S+)\s+([YN])\s+\d+.*$$/ if ( !$$wasprf ) { $$wasprf=1; "prefixes\n\nflag $$1:" } else { "flag $$1:" } /e;' \
	#        -e 's/^PFX\s+\S+\s+(\S+)\s+(\S+)\s+(\S+)/ uc("   $$3    > $$2")/e;' \
	#        -e 's/^(.*)SFX\s+(\S+)\s+([YN])\s+\d+.*$$/ $$flg=($$3 eq "Y") ? "*" : ""; $$flg="~$$flg" if length $$1; $$q=$$2; $$q="\\$$q" if $$q!~m#[a-zA-Z]#; if ( !$$wassfx ) { $$wassfx=1; "suffixes\n\nflag $$flg$$q:" } else { "flag $$flg$$q:" } /e;' \
	#        -e 's/^.*SFX\s+\S+\s+(\S+)\s+(\S+)\s+(\S+)/ uc("   $$3    > ".( ($$1 eq "0") ? "" : "-$$1,").( ($$2 eq "0") ? "" : "$$2") )/e;' \
	#	-e 's/^(SET|TRY)/#$$1/' \
	#> $(LANGUAGE).aff
	LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 /usr/bin/unmunch $(LANGUAGE).dict $(LANGUAGE).aff > $(LANGUAGE).words 2>stderr.log || (echo "Failed"; exit 1)
	if test ! -s "$(LANGUAGE).words"; then
	    echo "$(LANGUAGE).words is empty or does not exist."
	    exit 1
	fi
	mv $(LANGUAGE).words $(LANGUAGE)-unsorted.words
	sort -u $(LANGUAGE)-unsorted.words -o $(LANGUAGE).words
	rm $(LANGUAGE)-unsorted.words
	VERSION=`grep Version README_it_IT.txt | head -n1 | sed 's/Version \+\([^ ]\+\), \+.*/\1/'` && \
	mkdir $(package)-$${VERSION} && \
	mv $(LANGUAGE).* *.txt $(package)-$${VERSION} && \
	tar -caf $(package)_$${VERSION}.orig.tar.xz $(package)-$${VERSION} && \
	mv $(package)_$${VERSION}.orig.tar.xz .. && \
	rm -rf *
	cd ..
	rmdir tmp
